import vEChart from '@/components/index'

const components = [
    vEChart
]

const install = function(Vue) {
    components.forEach(componentKey => {
        Vue.component(componentKey.name, componentKey)
    })
}

if (typeof window !== 'undefined' && window.Vue){
    install(window.Vue)
}

export default {
    install,
    vEChart
}
